/*
 *  vector_2D.h
 *
 *  Author: M. Reza Mozaffari
 *  Physics Group, University of Qom
 *  Created on: Jan. 2021
 */

#ifndef VECTOR_2D_
#define VECTOR_2D_

#include <cstdio>
#include <cmath>

const int ndim{ 2 };

struct V2D {
    double x[ndim];
};

void print(V2D);
void copy(V2D, V2D&);
V2D add(V2D, V2D);
V2D sub(V2D, V2D);
V2D scale(V2D, double);
double dot(V2D, V2D);
double cross(V2D, V2D);
double norm(V2D);
V2D hat(V2D);

#endif // VECTOR_2D_